ApplicationInstance

List all the application instance endpoints

Get all your application instances and their main details

get
Authorizations
PRIVATE-TOKENstringRequired
Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /applicationInstance?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam" Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead. More information on the use of labels can be found in the label documentation.

filtersstringOptional

Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like this E.G. regionId=123 or multiple filters: regionId=123 and fleetId=456, only the AND statement is supported at this time. You can also search inside nested objects like metadata.key="testing" and metadata.value="test" You can only search on exact matches. Warning: the filters query parameter is ignored when passing a PAGE-TOKEN and the original filters string will be used for that request instead. Warning: filtering on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

sortstringOptional

Sort expression to sort your results in the order that you like E.G. sort=fleetId ASC, applicationId DESC Be aware that all filters and sorting should be url encoded. Warning: the sort query parameter is ignored when passing a PAGE-TOKEN and the original sort string will be used for that request instead Warning: sorting on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA: start=0,results=25 Warning: the start variable of the RANGED-DATA object has been deprecated for this endpoint. It is not possible to supply a start, see PAGE-TOKEN header for a replacement

PAGE-TOKENstringOptional

This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint without the PAGE-TOKEN you will retrieve the first page of search results. If a PAGE-TOKEN is returned, a next page may be requested by supplying that token in the next request using the same PAGE-TOKEN key and value in the request header. If no PAGE-TOKEN is returned, the last page has been reached and no further data can be requested. A returned PAGE-TOKEN is valid until the date specified in the Expires response header. Example: PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...) (truncated for readability) Expires header example: Expires: Fri, 08 Jan 2021 09:10:29 GMT

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

get
/v3/applicationInstance

Get all your application instances and their main details

get
Authorizations
PRIVATE-TOKENstringRequired
Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /applicationInstance/summary?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam" Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead. More information on the use of labels can be found in the label documentation.

filtersstringOptional

Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like this E.G. regionId=123 or multiple filters: regionId=123 and fleetId=456, only the AND statement is supported at this time. You can also search inside nested objects like metadata.key="testing" and metadata.value="test" You can only search on exact matches. Warning: the filters query parameter is ignored when passing a PAGE-TOKEN and the original filters string will be used for that request instead. Warning: filtering on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

sortstringOptional

Sort expression to sort your results in the order that you like E.G. sort=fleetId ASC, applicationId DESC Be aware that all filters and sorting should be url encoded. Warning: the sort query parameter is ignored when passing a PAGE-TOKEN and the original sort string will be used for that request instead Warning: sorting on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

fieldsstringOptional

Fields return in response, only fields available in model can be filter out

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA: start=0,results=25 Warning: the start variable of the RANGED-DATA object has been deprecated for this endpoint. It is not possible to supply a start, see PAGE-TOKEN header for a replacement

PAGE-TOKENstringOptional

This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint without the PAGE-TOKEN you will retrieve the first page of search results. If a PAGE-TOKEN is returned, a next page may be requested by supplying that token in the next request using the same PAGE-TOKEN key and value in the request header. If no PAGE-TOKEN is returned, the last page has been reached and no further data can be requested. A returned PAGE-TOKEN is valid until the date specified in the Expires response header. Example: PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...) (truncated for readability) Expires header example: Expires: Fri, 08 Jan 2021 09:10:29 GMT

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed.

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 than the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

if an application will be deleted it will be 1 else 0

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

get
/v3/applicationInstance/summary

Get all statuses of application instances

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
chevron-right
200

OK

application/json
statusIdinteger · integerRead-onlyRequired

Status code of an application instance

statusDescriptionstringRead-onlyRequired

Application instance status name

descriptionstringRead-onlyRequired

Application instance status description

isDependencyinteger · integerRead-onlyRequired

If isDependency=1, status code represent for application instance dependency installer and uninstaller, in case of isDependency=0 status code represents application instance game and utility type

get
/v3/applicationInstance/status

Get all your application instances on given host (bare metal or VM).

get

Note: bare metal servers and VMs are exposed in the same manner, as "dedicated servers". hostId can be found in the /host endpoint.

Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

The ID of the host

Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /applicationInstance/host/{hostId}?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam" Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead. More information on the use of labels can be found in the label documentation.

filtersstringOptional

Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like this E.G. regionId=123 or multiple filters: regionId=123 and fleetId=456, only the AND statement is supported at this time. You can also search inside nested objects like metadata.key="testing" and metadata.value="test" You can only search on exact matches. Warning: the filters query parameter is ignored when passing a PAGE-TOKEN and the original filters string will be used for that request instead. Warning: filtering on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

sortstringOptional

Sort expression to sort your results in the order that you like E.G. sort=fleetId ASC, applicationId DESC Be aware that all filters and sorting should be url encoded. Warning: the sort query parameter is ignored when passing a PAGE-TOKEN and the original sort string will be used for that request instead Warning: sorting on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA: start=0,results=25 Warning: the start variable of the RANGED-DATA object has been deprecated for this endpoint. It is not possible to supply a start, see PAGE-TOKEN header for a replacement

PAGE-TOKENstringOptional

This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint without the PAGE-TOKEN you will retrieve the first page of search results. If a PAGE-TOKEN is returned, a next page may be requested by supplying that token in the next request using the same PAGE-TOKEN key and value in the request header. If no PAGE-TOKEN is returned, the last page has been reached and no further data can be requested. A returned PAGE-TOKEN is valid until the date specified in the Expires response header. Example: PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...) (truncated for readability) Expires header example: Expires: Fri, 08 Jan 2021 09:10:29 GMT

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

get
/v3/applicationInstance/host/{hostId}

Create a new application instance entity on given host (bare metal or VM) and for given fleetId

post

Creates a new application instance entity in our database, on the provided host ID (can be a bare metal server or a VM). Afterwards you can deploy software on it. hostId equals hostID, found in the /host endpoint.

Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The ID of the fleet

hostIdintegerRequired

The ID of the host

Body
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

post
/v3/applicationInstance/fleet/{fleetId}/host/{hostId}

Get a single application instance

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

get
/v3/applicationInstance/{applicationInstanceId}

Update given application instance

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Body
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

put
/v3/applicationInstance/{applicationInstanceId}

Remove an application instance

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Body
methodIdinteger · integerOptional

Stop method type, list of types can be found in: GET /v3/application/stopMethod

timeoutinteger · integerOptional

Stop method timeout in seconds, default value is 1800 seconds.

Responses
delete
/v3/applicationInstance/{applicationInstanceId}

No content

Set the online status of a single application instance. Only possible if the application instance status is at least "offline (2)"

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

statusintegerRequired

Possible values:

  • 3: starting
  • 4: online
  • 5: allocated (only possible if previous status is online)
Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

put
/v3/applicationInstance/{applicationInstanceId}/status/{status}

Start a single application instance.

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

post
/v3/applicationInstance/{applicationInstanceId}/start

Stop the application instance given, if no stop method is provided we will use the stop method of the application build or application. The default is hard kill

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Body
methodIdinteger · integerOptional

Stop method type, list of types can be found in: GET /v3/application/stopMethod

timeoutinteger · integerOptional

Stop method timeout in seconds, default value is 1800 seconds.

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

post
/v3/applicationInstance/{applicationInstanceId}/stop

Stop and start a single application instance. Also works if it is already stopped. You can give an stop method in the body, if not given we will use the stop method defined in the application build or application. Default is hard kill

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Body
methodIdinteger · integerOptional

Stop method type, list of types can be found in: GET /v3/application/stopMethod

timeoutinteger · integerOptional

Stop method timeout in seconds, default value is 1800 seconds.

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

post
/v3/applicationInstance/{applicationInstanceId}/restart

Install a new application instance build

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Body
applicationBuildIdstringRequired

An application build ID

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

post
/v3/applicationInstance/{applicationInstanceId}/deploy

Get the last 50 tasks of the given application instance

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

get
/v3/applicationInstance/{applicationInstanceId}/task

Get all your application instance for the given applicationId.

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationIdstringRequired

The ID of the application

Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /applicationInstance/application/{applicationId}?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam" Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead. More information on the use of labels can be found in the label documentation.

filtersstringOptional

Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like this E.G. regionId=123 or multiple filters: regionId=123 and fleetId=456, You can only use AND statement You can also search inside nested objects like metadata.key='testing' and metadata.value='test' You can only search on exact matches. Warning: the filters query parameter is ignored when passing a PAGE-TOKEN and the original filters string will be used for that request instead. Warning: filtering on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

sortstringOptional

Sort expression to sort your results in the order that you like E.G. sort=fleetId ASC, applicationId DESC Be aware that all filters and sorting should be url encoded. Warning: the sort query parameter is ignored when passing a PAGE-TOKEN and the original sort string will be used for that request instead Warning: sorting on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA: start=0,results=25 Warning: the start variable of the RANGED-DATA object has been deprecated for this endpoint. It is not possible to supply a start, see PAGE-TOKEN header for a replacement

PAGE-TOKENstringOptional

This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint without the PAGE-TOKEN you will retrieve the first page of search results. If a PAGE-TOKEN is returned, a next page may be requested by supplying that token in the next request using the same PAGE-TOKEN key and value in the request header. If no PAGE-TOKEN is returned, the last page has been reached and no further data can be requested. A returned PAGE-TOKEN is valid until the date specified in the Expires response header. Example: PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...) (truncated for readability) Expires header example: Expires: Fri, 08 Jan 2021 09:10:29 GMT

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

get
/v3/applicationInstance/application/{applicationId}

Get empty game instances per region for the given applicationId. Currently implies the ONLINE UNALLOCATED game server status.

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationIdstringRequired

The ID of the application

Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /applicationInstance/game/{applicationId}/empty/regions?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256. If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam". More information on the use of labels can be found in the label documentation.

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
regionIdstringRead-onlyRequired

The ID of the deployment region

allocatableInstancesinteger · integerRead-onlyRequired

Amount of allocatable instances for the deployment region

applicationInstancesstring[]Read-onlyRequired

List of application instances ID's

get
/v3/applicationInstance/game/{applicationId}/empty/regions

Get empty game instance for the given applicationId. Currently, implies the ONLINE UNALLOCATED game server status.

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationIdstringRequired

The ID of the application

Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /applicationInstance/game/{applicationId}/empty?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam". More information on the use of labels can be found in the label documentation.

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

get
/v3/applicationInstance/game/{applicationId}/empty

Allocate an ONLINE application instance and return errors if there are no application instances to allocate

put

Fetches an empty ONLINE application instance with the given labels or filters, for the given application ID and changes its status to ALLOCATED. You may pass metadata to this request to pass information to the application instance during allocation. This v3 endpoint returns various errors if allocation failed instead of an empty array to help you pinpoint why allocation may have failed

Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationIdstringRequired

The ID of the application

Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /applicationInstance/game/{applicationId}/empty/allocate?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam" More information on the use of labels can be found here.

filtersstringOptional

Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like this E.G. regionId=123 or multiple filters: regionId=123 and fleetId=456, only the AND statement is supported at this time. You can only search on exact matches. Warning: filtering on the following parameters is currently not supported and will give an error: autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax, properties, ipAddress, labelReadOnly, labelPublic, metadata, pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

Body
Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

put
/v3/applicationInstance/game/{applicationId}/empty/allocate

Get the metadata of given application instance

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Responses
chevron-right
200

OK

application/json
get
/v3/applicationInstance/{applicationInstanceId}/metadata

Get the logs for the application instance (for now only the dependency installer logs)

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
applicationInstanceIdstringRequired

The ID of the application instance

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
applicationInstanceIdstringRead-onlyRequired

ID of Application instance

fleetIdstringRead-onlyRequired

The application instance's fleet ID

exitCodeinteger · integerRead-onlyRequired

The code given back by the server when the application instance was killed

stdOutLogstringRead-onlyRequired

Log output from the application instances from the server

createdAtinteger · integerRead-onlyRequired

Timestamp when the log was created

get
/v3/applicationInstance/{applicationInstanceId}/log

Last updated

Was this helpful?